Package logilab :: Package common :: Module sphinxutils

[frames] | no frames]

# Module sphinxutils

source code

Sphinx utils

ModuleGenerator: Generate a file that lists all the modules of a list of packages in order to pull all the docstring. This should not be used in a makefile to systematically generate sphinx documentation!

Typical usage:

    >>> from logilab.common.sphinxutils import ModuleGenerator
    >>> mgen = ModuleGenerator('logilab common', '/home/adim/src/logilab/common')
    >>> mgen.generate('api_logilab_common.rst', exclude_dirs=('test',))

Classes
| ModuleGenerator

Functions

module_members(module) | source code

class_members(klass) | source code